/// <reference types="node" />
import { RunResult } from "yeoman-test";
export declare class RunResultUtils {
    static readPackageJson(runResult: RunResult): Record<string, any>;
    static write(runResult: RunResult, to: string, contents: string | Buffer): Promise<void>;
    static delete(runResult: RunResult, filePath: string): Promise<void>;
    private static commit;
    static gitInit(runResult: RunResult): void;
    static gitConfigUser(runResult: RunResult): void;
    static gitRestoreStaged(runResult: RunResult): void;
}
//# sourceMappingURL=RunResult.utils.d.ts.map