"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InheritedOptionsSubGeneratorTestGenerator = void 0;
const shared_1 = require("../../../shared");
class InheritedOptionsSubGeneratorTestGenerator extends shared_1.BaseGenerator {
    static getQuestions() {
        return [
            {
                type: "input",
                name: "packageName",
                message: "What is the name of this new package?",
            },
            {
                type: "input",
                name: "packageDescription",
                message: "What is the description of this new package?",
            },
        ];
    }
    writing() {
        const options = Object.assign({}, this.options);
        delete options.env;
        this.writeDestinationJSON("inheritedAnswers.json", this.answers);
        this.writeDestinationJSON("inheritedOptions.json", options);
    }
}
exports.InheritedOptionsSubGeneratorTestGenerator = InheritedOptionsSubGeneratorTestGenerator;
exports.default = InheritedOptionsSubGeneratorTestGenerator;
//# sourceMappingURL=InheritedOptionsSubGeneratorTestGenerator.js.map