"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OptionsTestGenerator = void 0;
const shared_1 = require("../../../shared");
class OptionsTestGenerator extends shared_1.BaseGenerator {
    static getQuestions() {
        return [
            {
                type: "input",
                name: "name",
                message: "Give your test a name",
            },
            {
                type: "input",
                name: "description",
                message: "Give your test a description",
            },
        ];
    }
    writing() {
        this.writeDestinationJSON("options.json", this.answers);
    }
}
exports.OptionsTestGenerator = OptionsTestGenerator;
//# sourceMappingURL=OptionsTestGenerator.js.map