"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toHaveDevDependencyWithComment = void 0;
const toHaveDevDependencyWithComment = (result, dependencyName, dependencyVersion) => {
    expect(result).toHaveDevDependency(dependencyName, dependencyVersion);
    expect(result).toHaveDevDependencyComment(dependencyName);
    const dependencyDescription = dependencyVersion
        ? `${dependencyName} v${dependencyVersion}`
        : dependencyName;
    return {
        pass: true,
        message: () => `Expected run result package.json to have devDependency ${dependencyDescription} with a comment`,
    };
};
exports.toHaveDevDependencyWithComment = toHaveDevDependencyWithComment;
//# sourceMappingURL=toHaveDevDependencyWithComment.matcher.js.map