"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toHavePackageJson = void 0;
const toHavePackageJson = (result) => {
    expect(result).toBeYeomanTestRunResult();
    const hasPackageJson = result.fs.exists("package.json");
    const message = "Expected run result to contain a package.json file";
    return {
        pass: hasPackageJson,
        message: () => message,
    };
};
exports.toHavePackageJson = toHavePackageJson;
//# sourceMappingURL=toHavePackageJson.matcher.js.map